STRRCHR(3P)

PROLOG
This manual page is part of the POSIX Programmer's Manual. The Linux implementation of this interface may differ (consult the corresponding Linux manual page for details of Linux behavior), or the interface may not be implemented on Linux.

NAME
strrchr - string scanning operation

SYNOPSIS

#include <string.h>

char *strrchr(const char *s, int c);

DESCRIPTION

The strrchr() function shall locate the last occurrence of c (converted to a char) in the string pointed to by s. The terminating null byte is considered to be part of the string.

RETURN VALUE

Upon successful completion, strrchr() shall return a pointer to the byte or a null pointer if c does not occur in the string.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

  Finding the Base Name of a File

The following example uses strrchr() to get a pointer to the base name of a file. The strrchr() function searches backwards through the name of the file to find the last '/' character in name. This pointer (plus one) will point to the base name of the file.

    #include <string.h>
    ...
    const char *name;
    char *basename;
    ...
    basename = strrchr(name, '/') + 1;
    ...

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

strchr(), the Base Definitions volume of IEEE Std 1003.1-2001, <string.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .